function [obs_data, filesize] = observed_data(file,n)

% import the observed frequency spectrum

% n is the number of layers, adding it hopefully makes the code indifferent
% to the number of layers
fid = fopen(file,'r');                                        
data = textscan(fid,'%n %n','headerLines', 26 + (n+1)*2, 'delimiter', '\n');
obs_data = complex(data{1,1},data{1,2});

% the size of the generated out files is needed later
temp1=dir(file);
filesize = temp1.bytes;
fclose('all');