function [BestObjNew, BestModelNew] = storebest(Phen, BestModelOld, ObjVal, BestObjOld)
% Stores the 20 best models during the inversion process

[Nind, Nvar] = size(Phen);
[ans, idx] = sort(ObjVal);
MaxVal = 20;

for i=1:Nind
    crit1 = sum(ObjVal(idx(i)) == BestObjOld);
    crit2 = ObjVal(idx(i)) < BestObjOld;
    if sum(crit2) > 0               % Checks if the value is better then some of the old top 20 list
        if sum(crit1) == 0    % Checks if the value is alreay present in the top 20 list
            id = MaxVal - sum(crit2) + 1;
            temp = BestObjOld(id+1:MaxVal);
            temp2 = BestModelOld(id+1:MaxVal,:);
            BestObjOld(id,:) = ObjVal(idx(i));
            BestObjOld(id+1:end,:) = temp;            
            BestModelOld(id,:) = Phen(idx(i),:);
            BestModelOld(id+1:end,:) = temp2;            
        end
    else
        break
    end
end
BestObjNew =  BestObjOld;
BestModelNew = BestModelOld;
            
        
    

    
    
    