function writeTHM(Formation,min_freq, max_freq, freq_step, Vp_min, Vp_max, Vp_step, Root_Tol,MXiterations,NumberModes)

fid=fopen('mxinput.md','wt');
   
        %This loop is added because Matlab sometimes has a problem opening
        %files. With the loop we try 10 times to open a file if it can't be
        %opened the first time. This is to make sure we do not get any
        %unnecessary mistakes in the running.
m=1;
        while fid == -1 || m<10
            fclose('all');
            fid=fopen('mxinput.md','wt');
            m=m+1;
        end
        
    % Write the number of layers
    layers=length(Formation(:,1));
    fprintf(fid,'%d \n',layers);

    % Write parameters of the first layer
    fprintf(fid,'%f %f %f %f\n',...
        abs(Formation(1,1)),Formation(1,2),...
        Formation(1,3),Formation(1,4));

    % Write the parameters for the remaining layers
    for n=2:layers
        fprintf(fid,'%f %f %f %f\n',...
            abs(Formation(n,1)-Formation(n-1,1)),...
            Formation(n,2),Formation(n,3),Formation(n,4));
    end

    % Write frequency search parameters
    fprintf(fid,'%f %f %f\n',min_freq,max_freq,freq_step);

    % Write phase velocity search parameters
    fprintf(fid,'%f %f %f\n',Vp_min,Vp_max,Vp_step);

    % Write remaining parameters
    fprintf(fid,'%f %d\n',Root_Tol,MXiterations);
    fprintf(fid,'%d\n',NumberModes);
    fclose(fid);