function [P Q] = P_Q(k, ra, rb, d)

% [P Q] = P_Q(k, ra, rb, d)
% 
% This function calculates P and Q from k, ra, rb and d
%
for m = 1:length(d);
    P(m,:) = k .* ra(m) .* d(m);
    Q(m,:) = k .* rb(m) .* d(m);
end