function [Pk] = prob(ObjV,T,nParents,gen)

% Calculate fitness value of being chosen as parent for each individual.
% 
% ObjV = Objective values
% T = temperature
% nParents = number of parents to be created


Pk=(exp(-ObjV./T))/(sum(exp(-ObjV./T)));
Pk=Pk.*nParents;


