%R_s.m
%Calculates the reflection coefficient for a rough surface according to
%Rayleigh :R=exp{-2[2pi*(sigma/lambda)*sin(theta)]2}
function [R_s]=surface_reflection(lambda,sigma,theta_rad);

w=2*pi*sigma*sin(theta_rad);
R_s=exp(-2*w.*w);
